<?php

/**
 * meses actions.
 *
 * @package    Sofhouse
 * @subpackage meses
 * @author     Software House
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class mesesActions extends sfActions {

    /**
     * servicio para obtener el ultimo periodo del control cad
     *
     * @param sfWebRequest $request 
     */
    public function executeDato(sfWebRequest $request) {

        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------/  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * variables para filtro
         */
        $id_cia = 1;
        if (isset($request['id_cia'])) {
            $id_cia = $request['id_cia'];
        }

        //sentencia sql
        $sql = <<<EOD
select *
from CN_CONTROL_PERIODO
where ID_CIA = $id_cia
order by
ID_VIGENCIA DESC,
ID_PERIODO_CONTABLE DESC
EOD;

        //ejecuta y obtiene el resultado del sql
        $records = CN_TABLE::executeSQL($sql);

        //valida si hay resultado
        if (count($records) > 0) {
            $informe = $records[0]['id_periodo_contable'];
            $this->dato = $informe;
        } else {

            $this->dato = 13;
        }


        //guardar dato en el log
        $this->logMessage('Dato de la consulta = ' . $this->dato);
    }

}
